<template>
  <!--  新增右侧按钮-->
  <div>
    <div style=" display: flex; justify-content: flex-end;">
      <el-button plain type="primary" @click="addHandler">新增</el-button>
    </div>
    <!--  新增对话框-->
    <el-dialog
      :visible.sync="addVisible"
      append-to-body
      title="新增数据统计分析"
    >
    </el-dialog>
    <!--    echarts组件-->
    <div>
            <lineChart></lineChart>
            <pieChart></pieChart>
            <ColumnarChart></ColumnarChart>
    </div>
  </div>
</template>

<script>
import lineChart from "../../components/StatisticsComponent/lineChart"
import pieChart from "../../components/StatisticsComponent/pieChart"
import ColumnarChart from "../../components/StatisticsComponent/ColumnarChart"

export default {
  components: {
    lineChart,
    pieChart,
    ColumnarChart
  },
  name: "statisticPage",
  data() {
    return {
      addVisible: false,
    }
  },
  methods: {
    addHandler() {
      this.addVisible = true;
    }
  }
}
</script>

<style scoped>

</style>
